Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base
Imports DevExpress.ExpressApp.Editors

Public Class GLAccountsVC
	Inherits DevExpress.ExpressApp.ViewController

	Public Sub New()
		MyBase.New()

		'This call is required by the Component Designer.
		InitializeComponent()
		RegisterActions(components) 
        'CType(MyBase.ShowViewStrategy, ShowViewStrategy).CollectionsEditMode = _
        'DevExpress.ExpressApp.Editors.ViewEditMode.Edit()
    End Sub
    Protected Overrides Sub OnActivated()
        MyBase.OnActivated()
        Dim fView As DetailView = TryCast(View, DetailView)
        If (Not fView Is Nothing) AndAlso (fView.ViewEditMode = ViewEditMode.View) Then
            fView.ViewEditMode = ViewEditMode.Edit
        End If
    End Sub
End Class
